parameters;

figurePath = 'Figures/Fig 7/';

% Stimulus timing (msec)
preDuration = 100;
targetDuration = 500;

% Which values of tauU to run
tauUs = [1 10];
% tauUs = [1];

% Which variants to run
% variants = [1:5];
variants = [1 3];

% Test/debug
% figurePath = 'Figures/Tmp/';
% variants = 3;
% b0 = 5;
% tauUs = 1;
% targetDuration = 500;

%% Steady state and time series

% Stimulus contrasts
contrasts = [0.2 0.4 0.8];
for variant = variants
  for uu = 1:length(tauUs)
    tauU = tauUs(uu);
    organicNormalizationScript;
  end
end

%% Trajectories through phase space

figure(3); clf;

% Stimulus timing (msec)
targetDuration = 1000;
t = [0:deltaT:targetDuration-deltaT]';
T = length(t);
x0 = ones(T,1);
% tSkip = floor(deltaTPlot / deltaT);
tSkip = 1;

% Stimulus contrasts
contrasts = [0.1 0.2 0.4 0.8];

for variant = variants
  for cc = 1:length(contrasts)
    for uu = 1:length(tauUs)
      tauU = tauUs(uu);
      c = contrasts(cc);
      x = c * x0;
      [z1, y1, v1, a1, u1, ge1] = organicNormalization(x, variant, tauV, tauA, tauU, b0, sigma, ca, deltaT);
      [z2, y2, v2, a2, u2, ge2] = organicNormalization(x, variant, tauV, tauA, tauU, b0, sigma, ca, deltaT, c);
      figure(3);
      if (variant == 1)
        plot(a1(1:tSkip:end), y1(1:tSkip:end));
        hold on
        plot(a2(1:tSkip:end), y2(1:tSkip:end));
        plot(a2(1), y2(1), 'ok');
        hold off
        drawnow;
        xlim([0 0.15]); set(gca,'xtick',[0:0.05:0.15]);
        ylim([0 2]); set(gca,'ytick',[0:0.5:2]);
      else
        plot3(a1(1:tSkip:end), sqrt(u1(1:tSkip:end)), y1(1:tSkip:end));
        hold on
        plot3(a2(1:tSkip:end), sqrt(u2(1:tSkip:end)), y2(1:tSkip:end));
        plot3(a2(1), sqrt(u2(1)), y2(1), 'ok');
        hold off
        drawnow;
        xlim([0 1]); set(gca,'xtick',[0:0.5:1]);
        ylim([0 1]); set(gca,'ytick',[0:0.5:1]);
        zlim([0 2]); set(gca,'ztick',[0:0.5:2]);
        set(gca,'CameraPosition',[-2 -8 12]);
      end
      grid on;
      set(gca,'Clipping','off');
      if (variant == 3)
        savefig([figurePath,'/trajectory',num2str(variant),' c=',num2str(c),' tauU=',num2str(tauU),'.fig']);
      end
      print([figurePath,'/trajectory',num2str(variant),' c=',num2str(c),' tauU=',num2str(tauU),'.eps'],'-depsc','-painters');
    end
  end
end
