clear all

figurePath = 'Figures/Tmp/';

%%%%%%%%%%%%%%%%%%%%%%%
% Stimulus parameters %
%%%%%%%%%%%%%%%%%%%%%%%

FOV = [-60,60];

% stimulusType = 'static';
% stimulusType = 'flickering';
% stimulusType = 'contrastReversing';
stimulusType = 'leftward';
% stimulusType = 'upward';
% stimulusType = 'impulse';

stimulusPattern = 'grating';
% stimulusPattern = 'plaid';
% stimulusPattern = 'noise';

stimulusCenter = 0;
% stimulusCenter = 10;

% stimulusSize = 1/8;
% stimulusSize = 1/2;
stimulusSize = 1;
% stimulusSize = 2;
% stimulusSize = 8;
% stimulusSize = 32;

stimulusTF = 8/1000; % cyc/msec
stimulusSF = 16; % cyc/deg

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Temporal prefilter parameters %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% tauX = 1; lambdaX = 0.04; nFiltX = 1; RIC = 'c';
tauX = 1; lambdaX = 0.04; nFiltX = 2; RIC = 'cc';
% tauX = 1; lambdaX = 0.04; nFiltX = 2; RIC = 'ic';
omegaX = 8/1000; % cycles/msec

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Receptive field parameters %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Spatial filter parameters
numOrientations = 6;
bandwidth = 1;

% Reset default colors to equal the number of orientation bands.
defaultColors = get(groot,'defaultAxesColorOrder');
set(groot,'defaultAxesColorOrder',defaultColors(1:numOrientations,:))

% Overlap of tuning curves and RFs
% overlapTheta = 1; overlapXi = 1;
overlapTheta = 2; overlapXi = 2;
Ntheta = overlapTheta * numOrientations;

% Recurrent temporal filter parameters
omega = 8/1000; % cycles/msec

%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Normalization parameters %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%

variant = 3;
sigma = 0.1;
b0 = 0.2;

% Used by organicNormalization4 (ca<1 => approx contrast gain change)
ca = 1;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Time constants and temporal sampling %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Transient at high contrasts
% tauV = 1; tauA = 2; tauU = 10;

% Oscillations at high contrasts
tauV = 1; tauA = 2; tauU = 1;

% Slower oscillations at high contrasts
% tauV = 2; tauA = 4; tauU = 2;

deltaT = 0.1;

%%%%%%%%%%%%%%%%%%%%%%%
% Plotting parameters %
%%%%%%%%%%%%%%%%%%%%%%%

defaultColors = get(groot,'defaultAxesColorOrder');
deltaTPlot = 1;
